> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Recurring Billing

> Cancel an active recurring billing subscription



## OpenAPI

````yaml delete /v1/recurring-billing/{recurring_billing_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/recurring-billing/{recurring_billing_id}:
    delete:
      summary: Delete Recurring Billing
      description: Use this API to cancel the recurring billing subscription
      operationId: delete-a-recurring-billing-detail
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: recurring_billing_id
          in: path
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "id": "9741164c-06a1-4dd7-a649-72cca8f9603a",
                        "business_recurring_plans_id": "973ee344-6737-4897-9929-edbc9d7bf433",
                        "customer_name": "Paul",
                        "customer_email": "paul@hitpayapp.com",
                        "name": "Spotify Premium",
                        "description": "Spotify Monthly Subscription",
                        "reference": "cust_id_123",
                        "cycle": "monthly",
                        "cycle_repeat": null,
                        "cycle_frequency": null,
                        "currency": "sgd",
                        "amount": 9.90,
                        "times_to_be_charged": 3,
                        "times_charged": 0,
                        "status": "canceled",
                        "send_email": false,
                        "save_card": 0,
                        "redirect_url": "https://github.com/",
                        "payment_methods": [
                            "giro",
                            "card"
                        ],
                        "created_at": "2022-09-13T16:33:47",
                        "updated_at": "2022-09-13T16:33:47",
                        "expires_at": "2022-11-11T23:59:59",
                        "url": "https://securecheckout.sandbox.hit-pay.com/973ee344-6737-4897-9929-edbc9d7bf433/recurring-plan/9741164c-06a1-4dd7-a649-72cca8f9603a"
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    examples:
                      - 9741164c-06a1-4dd7-a649-72cca8f9603a
                  business_recurring_plans_id:
                    type: string
                    examples:
                      - 973ee344-6737-4897-9929-edbc9d7bf433
                  customer_name:
                    type: string
                    examples:
                      - Paul
                  customer_email:
                    type: string
                    examples:
                      - paul@hitpayapp.com
                  name:
                    type: string
                    examples:
                      - Spotify Premium
                  description:
                    type: string
                    examples:
                      - Spotify Monthly Subscription
                  reference:
                    type: string
                    examples:
                      - cust_id_123
                  cycle:
                    type: string
                    examples:
                      - monthly
                  cycle_repeat: {}
                  cycle_frequency: {}
                  currency:
                    type: string
                    examples:
                      - sgd
                  amount:
                    type: number
                    examples:
                      - 9.9
                    default: 0
                  times_to_be_charged:
                    type: integer
                    examples:
                      - 3
                    default: 0
                  times_charged:
                    type: integer
                    examples:
                      - 0
                    default: 0
                  status:
                    type: string
                    examples:
                      - canceled
                  send_email:
                    type: boolean
                    examples:
                      - false
                    default: true
                  save_card:
                    type: integer
                    examples:
                      - 0
                    default: 0
                  redirect_url:
                    type: string
                    examples:
                      - https://github.com/
                  payment_methods:
                    type: array
                    items:
                      type: string
                      examples:
                        - giro
                  created_at:
                    type: string
                    examples:
                      - '2022-09-13T16:33:47'
                  updated_at:
                    type: string
                    examples:
                      - '2022-09-13T16:33:47'
                  expires_at:
                    type: string
                    examples:
                      - '2022-11-11T23:59:59'
                  url:
                    type: string
                    examples:
                      - >-
                        https://securecheckout.sandbox.hit-pay.com/973ee344-6737-4897-9929-edbc9d7bf433/recurring-plan/9741164c-06a1-4dd7-a649-72cca8f9603a
        '404':
          description: '404'
          content:
            text/plain:
              examples:
                Result:
                  value: |-
                    {
                        "message": "No query results for model [App\\Business\\RecurringBilling] 97414c99-01ca-464d-a57b-81851b307e09"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    examples:
                      - >-
                        No query results for model
                        [App\Business\RecurringBilling]
                        97414c99-01ca-464d-a57b-81851b307e09
      deprecated: false
      security: []

````